package com.usoftchina.bi.server.model.vo.configVo;

import com.usoftchina.bi.core.base.TestPage;
import com.usoftchina.bi.server.model.bo.Screen;

import java.util.List;

/*
个体统计表入参
 */
public class IndividualConfigInfo {
    private int id;
    private String sortColumn;
    private List<String> columnListName;
    private String sort;
    private int showLine;
    private List<Screen> filters;
    private TestPage testPage;

    public TestPage getTestPage() {
        return testPage;
    }

    public void setTestPage(TestPage testPage) {
        this.testPage = testPage;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getSortColumn() {
        return sortColumn;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public List<String> getColumnListName() {
        return columnListName;
    }

    public void setColumnListName(List<String> columnListName) {
        this.columnListName = columnListName;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public int getShowLine() {
        return showLine;
    }

    public void setShowLine(int showLine) {
        this.showLine = showLine;
    }

    public List<Screen> getFilters() {
        return filters;
    }

    public void setFilters(List<Screen> filters) {
        this.filters = filters;
    }
}
